Skip to main content
POST
Create Workspace Workflow

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
title
string
required
Required string length: 1 - 200
description
string | null
trigger_type
string
default:manual
trigger_config
Trigger Config · object
auto_accept
boolean
default:false
max_budget_cents
integer | null

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
title
string
required
trigger_type
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
source_project_id
string<uuid> | null
description
string | null
trigger_config
Trigger Config · object
is_template
boolean
default:false
template_category
string | null
auto_accept
boolean
default:false
auto_accept_preferences
Auto Accept Preferences · object
max_budget_cents
integer | null
nodes
WorkflowNodeResponse · object[]